Subject: bug#26548: [PATCH] install: Enable SSH in installation image.

From: ng0 <[email-masked]>
Date: Tue, 18 Apr 2017 11:09:29 +0000

Ludovic Courtès transcribed 1.2K bytes:
> Hello!
> 
> Marius Bakke <[email-masked]> skribis:
> 
> > Hi Guix! This patch adds an SSH server to the installation image
> > to aid remote installations as requested in
> > https://lists.gnu.org/archive/html/help-guix/2017-01/msg00047.html
> >
> > lsh-service depends on networking, so I pulled in a DHCP client too.
> > It increases the image size by about 29MiB.
> >
> > * gnu/system/install.scm (%installation-services): Add DHCP-CLIENT-SERVICE
> > and LSH-SERVICE.
> 
> [...]
> 
> > +          ;; Add a DHCP client for networking.
> > +          (dhcp-client-service)
> 
> This is a problem: in the installation instructions, we tell people to
> configure networking (possibly wireless) by hand, so we cannot expect
> the DHCP client to work directly when the image is booted.
> 
> Also, the installation instructions would need to be updated.
> 
> However, what we could do, instead, is to add an SSH service that is off
> by default (with (start? #f)) and does not depend on ‘networking’.  That
> way, people would only need to type
> 
>   herd start ssh-daemon
> 
> to get the thing up and running.  WDYT?

For the moment it's okay I think.

In the futurey, we would ship GuixSD normal and GuixSD server images?
I'm just trying to gather enough data from hosters at the moment
to see what's the best action here and how we can react in the future
(dhcp, agetty, openssh, etc).

> > +          ;; Add an SSH server to facilitate remote installs.
> > +          (lsh-service #:port-number 22
> 
> I agree with others that we should use OpenSSH here.  :-)
> 
> Thanks,
> Ludo’.
> 
> 
> 

-- 
PGP and more: https://people.pragmatique.xyz/ng0/